/**@file

// hostConstant_declarations.ctl
This library contains the definition of the constants.

@par Creation Date
  dd/mm/yyyy

@par Modification History
  
@par Constraints
  None

@par Usage
  Public

@par PVSS managers
  Ui, CTRL

@author 
  the author (DEP-GROUP)
*/

//@{

// put here the constants
const string HOST_DPNAME_PREFIX = "host";

// constants for the check/import of the FrontEndType
const string HOST_ICEMONHOSTSFE_DPTYPE = "IcemonHostsFE";
// total length of the PLCONFIG line (dyn_string) withoout PLCONFIG
const unsigned UN_CONFIG_ICEMONHOSTSFE_LENGTH = 4;
// put here below an index for each front-end config (not the 3 mandatory fields: front-end type, front-end instance, application)
const unsigned UN_CONFIG_ICEMONHOSTSFE_FIELD1 = 1;
const unsigned UN_CONFIG_ICEMONHOSTSFE_FIELD2 = 2;
const unsigned UN_CONFIG_ICEMONHOSTSFE_FIELD3 = 3;
//const unsigned UN_CONFIG_ICEMONHOSTSFE_FIELD4 = FELENGTH;
const unsigned UN_CONFIG_ICEMONHOSTSFE_PROXY_IDX = 4; //Proxy


// put here the FE system alarm const for check if needed
//const unsigned UN_ICEMONHOSTSFE_CHECKFESYSTEM_ALARM_LENGTH = x;	// x parameters
//const unsigned UN_ICEMONHOSTSFE_CHECKFESYSTEM_ALARM_FRONTEND = 1;	// front-end type
//const unsigned UN_ICEMONHOSTSFE_CHECKFESYSTEM_ALARM_NAME = 2;	// name
//const unsigned UN_ICEMONHOSTSFE_CHECKFESYSTEM_ALARM_ADDRESS = 3;	// Address in front-end
//const unsigned UN_ICEMONHOSTSFE_CHECKFESYSTEM_ALARM_OKALARM = 4;	// true=alarm if value>10, false (default) = alarm if value<=10
//const unsigned UN_ICEMONHOSTSFE_CHECKFESYSTEM_ALARM_DESCRIPTION = 5;	// description
//const unsigned UN_ICEMONHOSTSFE_CHECKFESYSTEM_ALARM_FIELD1 = 6;	// 
//const unsigned UN_ICEMONHOSTSFE_CHECKFESYSTEM_ALARM_FIELD2 = 7;	// 
//const unsigned UN_ICEMONHOSTSFE_CHECKFESYSTEM_ALARM_FIELD3 = 8;	// 
//const unsigned UN_ICEMONHOSTSFE_CHECKFESYSTEM_ALARM_FIELD4 = 9;	// 

//const unsigned UN_ICEMONHOSTSFE_SETFESYSTEM_ALARM_LENGTH = y;	// y=x+7 parameters

//const unsigned UN_ICEMONHOSTSFE_SETFESYSTEM_ALARM_NAME = 1;	// name
//const unsigned UN_ICEMONHOSTSFE_SETFESYSTEM_ALARM_ADDRESS = 2;	// Address in front-end
//const unsigned UN_ICEMONHOSTSFE_SETFESYSTEM_ALARM_OKALARM = 3;	// true=alarm if value>10, false (default) = alarm if value<=10
//const unsigned UN_ICEMONHOSTSFE_SETFESYSTEM_ALARM_DESCRIPTION = 4;	// description
//const unsigned UN_ICEMONHOSTSFE_SETFESYSTEM_ALARM_FIELD1 = 5;	// 
//const unsigned UN_ICEMONHOSTSFE_SETFESYSTEM_ALARM_FIELD2 = 6;	// 
//const unsigned UN_ICEMONHOSTSFE_SETFESYSTEM_ALARM_FIELD3 = 7;	// 
//const unsigned UN_ICEMONHOSTSFE_SETFESYSTEM_ALARM_FIELD4 = 8;	// 

//const unsigned UN_ICEMONHOSTSFE_FESYSTEMALARM_DEVICENAME = 9;
//const unsigned UN_ICEMONHOSTSFE_FESYSTEMALARM_PLCNAME = 10;
//const unsigned UN_ICEMONHOSTSFE_FESYSTEMALARM_TYPE = 11;
//const unsigned UN_ICEMONHOSTSFE_FESYSTEMALARM_PLCNUMBER = 12;
//const unsigned UN_ICEMONHOSTSFE_FESYSTEMALARM_DRIVER = 13;
//const unsigned UN_ICEMONHOSTSFE_FESYSTEMALARM_EVENT16 = 14;
//const unsigned UN_ICEMONHOSTSFE_FESYSTEMALARM_ARCHIVE = 15;

// constant for DQGTW system integrity

const string c_HOST_FRONTEND_UNSYSTEMALARM = "_unSystemAlarm";
const string c_hostSystemIntegrity_ICEMONHOSTSFE = "IcemonHostsFE_";
const string UN_SYSTEM_INTEGRITY_ICEMONHOSTSFE = "IcemonHostsFE";
const string UN_SYSTEM_INTEGRITY_ICEMONHOSTSFE_check = "hostSystemIntegrity_IcemonHostsFECheck";
const int c_hostSystemIntegrity_defaultICEMONHOSTSFECheckingDelay = 10; // default value for the checking in sec.

// constant for the check/import of the DeviceType
const unsigned HOST_CONFIG_ICEMONHOST_LENGTH = 1; // device config lenght without the mandatory field
// if the archive Y/N is configurable for the device, 
// the constant UN_CONFIG_ICEMONHOSTSFE_ICEMONHOST_ARCHIVE_ACTIVE is mandatory
// if yes then the import takes the default configuration from the JCOP device definition
// if no then the import does not add the DPEs
// if the archive is not configurable for the device, the import takes the default configuration from the JCOP device definition
//const unsigned HOST_CONFIG_ICEMONHOST_ARCHIVEACTIVE	= DeviceTypeConfigLenght-2; 
const unsigned   HOST_CONFIG_ICEMONHOST_HOSTNAME_IDX = 1;
//const unsigned HOST_CONFIG_ICEMONHOST_FIELD1 = DeviceTypeConfigLenght-1;
//const unsigned HOST_CONFIG_ICEMONHOST_FIELD2 = DeviceTypeConfigLenght;
// constant for the import database panel
const unsigned UN_CONFIG_ICEMONHOSTSFE_ICEMONHOST_ARCHIVE_ACTIVE = 1; // mandatory if the archive is parametrizable
//const unsigned UN_CONFIG_ICEMONHOSTSFE_ICEMONHOST_LENGTH = DeviceTypeConfigLenght-2;

// constant for export

// constant for widget

// constant for faceplate

// constant for device action interface

// any other constants

//@}

//@{

// put here the global variables
//global dyn_string g_ds_HOST_myVariable;

//@}

